
hirom  ; don't change this
header  ; comment out if your rom has no header

org $C09958  ; location in v1.0 or v1.1
;org $C0988D  ; location in SFC version
DW char_name

org $C0A032  ; location in v1.0 or v1.1
;org $C09F67  ; location in SFC version
C0A032:	JSR $6CF3
C0A035:	LDA $EB  ; load character
C0A037:	JSL $C20006  ; recalculate properties from equipment
C0A03B:	LDA #$02
REPLACE1:  ; one instruction replaces one
C0A03D:	BRA advance
;C0A03D:	JMP $9B5C  ; v1.0 or v1.1
;C0A03D:	JMP $9A91  ; SFC only

char_name:
C0A03F:	JSR $9DAD  ; v1.0 or v1.1
;C0A03F:	JSR $9CE2  ; SFC only
REPLACE2:  ; one replaces one
C0A042:	LDA $EC  ; get name index
;C0A042:	LDA #$06
	PHA  ; save for later
C0A045:	STA $4202
REPLACE3:  ; one replaces one
C0A048:	LDA #$06
;C0A048:	LDA $EC
C0A04A:	STA $4203
	STA $EC  ; $EC will become a counter
C0A04F:	NOP
C0A050:	NOP
;REMOVED1:	NOP
C0A051:	LDX $4216  ; name index * 6
C0A054:	PHX  ; preserve X and Y
C0A055:	PHY
name_loop:
C0A056:	LDA $C478C0,X  ; get a character from the name
C0A05A:	STA $1602,Y  ; store into character's name
REPLACE4:  ; eight replace ten!
C0A05D:	INX  ; next character slot
C0A05E:	INY
C0A05F:	DEC $EC  ; six characters total
C0A061:	BNE name_loop
C0A063:	PLY  ; restore X and Y
C0A064:	PLX
C0A065:	PLA  ; restore $EC
C0A066:	STA $EC
;C0A05D:	LDA $C478C1,X
;C0A05E:	STA $1603,Y
;C0A05F:	LDA $C478C2,X
;C0A060:	STA $1604,Y
;C0A061:	LDA $C478C3,X
;C0A062:	STA $1605,Y
;C0A063:	LDA $C478C4,X
;C0A064:	STA $1606,Y
;C0A065:	LDA $C478C5,X
;C0A066:	STA $1607,Y
C0A068:	LDA #$03

advance:
C0A06A:	JMP $9B5C  ; v1.0 or v1.1
;C0A06A:	JMP $9A91  ; SFC only

padbyte $EA : pad $C0A07C  ; v1.0 or v1.1
;padbyte $EA : pad $C09FB1  ; SFC version